#
# spec file for package python3-zope.sqlalchemy
#
# Copyright 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


Name:           python3-zope.sqlalchemy
Version:        0.7.7
Release:        2.12
License:        ZPL-2.1
Summary:        Minimal Zope/SQLAlchemy transaction integration
Url:            http://pypi.python.org/pypi/zope.sqlalchemy
Group:          Development/Libraries/Python
Source:         zope.sqlalchemy-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-SQLAlchemy >= 0.7
BuildRequires:  python3-transaction
BuildRequires:  python3-zope.interface >= 3.6.0
# Test requirements
# BuildRequires:  python3-zope.testing
Requires:       python3-SQLAlchemy >= 0.7
Requires:       python3-transaction
Requires:       python3-zope.interface >= 3.6.0
Requires:       python3-zope.root
Provides:       python3-zope-sqlalchemy = %{version}
Obsoletes:      python3-zope-sqlalchemy < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The aim of this package is to unify the plethora of existing
packages integrating SQLAlchemy with Zope's transaction
management. As such it seeks only to provide a data manager
and makes no attempt to define a zopeish way to configure
engines.

%prep
%setup -q -n zope.sqlalchemy-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Tests currently broken upstream
# %check
# python3 setup.py test

%files
%defattr(-,root,root)
%doc CHANGES.txt COPYRIGHT.txt CREDITS.txt LICENSE.txt
%doc src/zope/sqlalchemy/README.txt
%{python3_sitelib}/*

%changelog
* Sat Feb  4 2017 hpj@urpla.net
- fix naming to the correct python3 prefix
* Thu Nov  3 2016 toddrme2178@gmail.com
- Rename package to python3-zope.sqlalchemy to conform to openSUSE
  package naming guidelines.
- Depend on python3-zope.root to avoid import errors.
- Update to 0.7.7
  * Support SQLAlchemy 1.1.
- Update to 0.7.6
  * Make version check in register compatible with prereleases.
- Update to 0.7.5
  * Ensure mapped objects are expired following a
    transaction.commit() when no database commit was required.
- Update to 0.7.4
  * Allow session.commit() on nested transactions to facilitate
    integration of existing code that might not use
    transaction.savepoint().
  * Add a new function zope.sqlalchemy.register(), which replaces
    the direct use of ZopeTransactionExtension to make use of the
    newer SQLAlchemy event system to establish instrumentation on
    the given Session instance/class/factory. Requires at least
    SQLAlchemy 0.7.
  * Fix keep_session=True doesn’t work when a transaction is
    joinedby flush and other manngers bug.
- Update to 0.7.3
  * Prevent the Session object from getting into a “wedged” state
    if joining a transaction fails. With thread scoped sessions
    that are reused this can cause persistent errors requiring a
    server restart.
- Update to 0.7.2
  * Make life-time of sessions configurable. Specify
    keep_session=True when setting up the SA extension.
  * Python 3.3 compatibility.
